package uk.co.clockobj.cairngormdemo.controller
{
	import com.adobe.cairngorm.control.FrontController;
	
	import uk.co.clockobj.cairngormdemo.controller.commands.ChangeApplicationStateCommand;
	import uk.co.clockobj.cairngormdemo.controller.commands.GetAllProductsCommand;
	import uk.co.clockobj.cairngormdemo.controller.commands.LogUserInCommand;

	public class AppController extends FrontController
	{
		public function AppController()
		{
			super();
			initialiseCommands();
		}
		
		private function initialiseCommands() : void
		{
			addCommand(CHANGE_APP_STATE, ChangeApplicationStateCommand);
			addCommand(LOG_USER_IN, LogUserInCommand);
			addCommand(GET_ALL_PRODUCTS, GetAllProductsCommand);
		}
		
		public static const CHANGE_APP_STATE : String = "changeAppState";
		public static const LOG_USER_IN : String = "logUserIn";
		public static const GET_ALL_PRODUCTS : String = "getAllProducts";
	}
}