package uk.co.clockobj.cairngormdemo.model.product
{
	import uk.co.clockobj.cairngormdemo.model.dto.ProductDTO;
	
	[Bindable]
	public class Product
	{
		public var id			: int;
		
		private var _price 		: Number;
		
		public var description	: String;

		public function get price() : Number
		{
			return _price;
		}
		
		public function set price( value : Number ) : void 
		{
			if ( value < 0 )
				value = 0;
			_price = value;
		}
				
		public function Product( productDTO : ProductDTO )
		{
			this.price = productDTO.price;
			this.description = productDTO.description;
		}

	}
}