package uk.co.clockobj.cairngormdemo.model.product
{
	import mx.collections.ArrayCollection;
	
	import uk.co.clockobj.cairngormdemo.model.dto.ProductDTO;
	
	[Bindable]
	public class ProductModel
	{
		public var products : ArrayCollection;
		
		public function ProductModel()
		{
			products = new ArrayCollection()
		}
		
		public function set dtos( value : ArrayCollection ) : void
		{
			for each ( var pdto : ProductDTO in value )
			{
				products.addItem( new Product( pdto ) );
			}
		}
		
		public function get dtos() : ArrayCollection
		{
			var dtos : ArrayCollection;
			for each ( var p : Product in products )
			{
				var pdto : ProductDTO = new ProductDTO()
				pdto.id = p.id;
				pdto.description = p.description;
				pdto.price = p.price;
				dtos.addItem( pdto );
			}
			return dtos;
		}
	}
}