package uk.co.clockobj.cairngormdemo.model.session
{
	import uk.co.clockobj.cairngormdemo.model.dto.UserDTO;
	
	[Bindable]
	public class SessionModel
	{
		public function SessionModel()
		{
		}
		
		public static const APP_STATE_LOGGED_OUT : String = "";
		public static const APP_STATE_LOGGED_IN : String = "appStateLoggedIn";
		public static const APP_STATE_ADMIN : String = "appStateAdmin";
		
		public var appState : String = APP_STATE_LOGGED_OUT;
		
		public var loggedInUser : User;
		
		public function set userDTO( value : UserDTO ) : void
		{
			loggedInUser = new User( value );
		}
		
		public function get userDTO() : UserDTO
		{
			var udto : UserDTO = new UserDTO();
			udto.role = loggedInUser.role;
			udto.username = loggedInUser.username;
			return udto;
		}

	}
}