package uk.co.clockobj.cairngormdemo.model
{
	import com.adobe.cairngorm.model.IModelLocator;
	
	import uk.co.clockobj.cairngormdemo.model.product.ProductModel;
	import uk.co.clockobj.cairngormdemo.model.session.SessionModel;

	[Bindable]
	public class ModelLocator implements IModelLocator
	{
		private static var _instance:ModelLocator;
		
		public static function getInstance():ModelLocator {
			if (_instance == null) {
				_instance = new ModelLocator();
			}
			return _instance;
		}
		
		public function ModelLocator()
		{
			if ( _instance != null )
			{
				throw( new Error( "Singleton class has already been instantiated" ) );
			} else
			{
				session = new SessionModel();
			}
		}
		
		public var session : SessionModel;
		
		public var product : ProductModel;

	}
}